org.apache.commons.mail.resolver

## Class DataSourceBaseResolver

- java.lang.Object
- - org.apache.commons.mail.resolver.DataSourceBaseResolver

- All Implemented Interfaces:
    DataSourceResolver
  Direct Known Subclasses:
    DataSourceClassPathResolver, DataSourceCompositeResolver, DataSourceFileResolver, DataSourceUrlResolver

      public abstract class DataSourceBaseResolver
      extends Object
      implements DataSourceResolver

  Base class for various resolvers.
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceBaseResolver()` Constructor.
    `DataSourceBaseResolver(boolean lenient)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isCid(String resourceLocation)` Is this a content id?
    `protected boolean` | `isFileUrl(String urlString)` Is this a file URL?
    `protected boolean` | `isHttpUrl(String urlString)` Is this a HTTP/HTTPS URL?
    `boolean` | `isLenient()` Shall we ignore resources not found or throw an exception?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.mail.DataSourceResolver

      `resolve, resolve`

- - ### Constructor Detail

    - #### DataSourceBaseResolver

          public DataSourceBaseResolver()

      Constructor.

    - #### DataSourceBaseResolver

          public DataSourceBaseResolver(boolean lenient)

      Constructor.
      Parameters:
        `lenient` - shall we ignore resources not found or throw an exception?

  - ### Method Detail

    - #### isLenient

          public boolean isLenient()

      Shall we ignore resources not found or throw an exception?
      Returns:
        the lenient flag

    - #### isCid

          protected boolean isCid(String resourceLocation)

      Is this a content id?
      Parameters:
        `resourceLocation` - the resource location
      Returns:
        true if it is a CID

    - #### isFileUrl

          protected boolean isFileUrl(String urlString)

      Is this a file URL?
      Parameters:
        `urlString` - the URL string
      Returns:
        true if it is a file URL

    - #### isHttpUrl

          protected boolean isHttpUrl(String urlString)

      Is this a HTTP/HTTPS URL?
      Parameters:
        `urlString` - the URL string
      Returns:
        true if it is a HTTP/HTTPS URL

Copyright © 2001–2017 The Apache Software Foundation. All rights reserved.